<?php
session_start();
$ges_id = $_SESSION['ges_id'];
$ges_nom = $_SESSION['ges_nom'];
$ges_consu = $_SESSION['ges_consu'];

if($ges_id == '' || $ges_nom == ''):
    ?>
    <script type="text/javascript">
        alert('Usuario inválido');
        cerrar();
    </script>
    <?
endif;

header('Content-type: text/html; charset = utf-8');

require("../funciones/funciones.php");
require("../funciones/post_get.php");
require("../class/bases.php");

date_default_timezone_set("America/Bogota");
$hora_hoy = date("H:i:s");
$sis_dia = date('d');
$sis_mes = date('m');
$sis_ano = date('Y');
//Mensaje = mysql_error();
$fecha_hoy = $sis_ano."-".$sis_mes."-".$sis_dia;

$sqlGrupo = "SELECT * FROM cliente WHERE id_cli = '$id_fk_cliente_fact'";
$conGrupo = $bdFact->consulta($sqlGrupo);
$resGrupo = $bdFact->fetch_assoc($conGrupo);
$comentario = utf8_decode($resGrupo['nom_cli']);

if(isset($_POST['ccUsu'])):
	$ccUsu = $_POST['ccUsu'];
else:
	$ccUsu = '';
endif;

if(isset($_POST['nombreUsu'])):
	$nombreUsu = strtoupper(utf8_decode($_POST['nombreUsu']));
else:
	$nombreUsu = '';
endif;

if(isset($_POST['loginUsu'])):
	$loginUsu = strtoupper(utf8_decode($_POST['loginUsu']));
else:
	$loginUsu = '';
endif;

//Número ramdom
$ramdon = mt_rand(0,9999);

$passwordUsu = $loginUsu.".".$ramdon;

$array_datos_cta = array_empresa_cta($id_cta, $bdDepen);
$nombre_ct = $array_datos_cta['nombre'];
$comentario = $array_datos_cta['comentario'];



//Valido si no hay empresas parecidas
$sqlUser="INSERT INTO user(cc_user, nombre, login, password, comentario) VALUES ('$ccUsu', '$nombreUsu', '$loginUsu', '$passwordUsu', '$comentario')";
$inserUser = $bdDepen->consulta("$sqlUser");	
$texto = 'Ingresó el usuario '.$nombreUsu.' correctamente en la base de datos';

if($id_cta != ''):
    //Saco el máximo, osea el id guardado de esa empresa
    $sqlUSU_MAX="SELECT MAX(id_user) as id FROM user WHERE comentario = '$comentario'";
    $conUSU_MAX = $bdDepen -> consulta("$sqlUSU_MAX");	
    $resUSU_MAX = $bdDepen -> fetch_assoc($conUSU_MAX);
    $id = $resUSU_MAX['id'];

    $sqlINUSCTA = "INSERT INTO user_cta (id_cta_fk, id_user_fk, menu, tablero) VALUES ('$id_cta', '$id', '3', '1')";
    $insINUSCTA = $bdDepen->consulta($sqlINUSCTA);
endif;


?>
<meta charset = "utf-8">
<meta http-equiv = "Content-Type" content = "text/html; charset = utf-8"/> 

<form name = "crearUSUP" id = "crearUSUP">
    <input name="id_cta" id="id_cta" class="campo" type="hidden" value="<?=$id_cta?>">
</form>

<?
if($id_cta == ''):
    ?>
    <div id = "accionesDiv">
        <div id = "accionesDivText" class = "accionesDivText"><?=$texto?></div>
        <div id = "accionesDiv2">
            <div id = "accionesDivBoton">
                <div id = "boton" class = "boton" onClick = "guardar('dep_crear_empresa.php','','modal','cargando')">Crear nueva empresa</div>
            </div>
            <div id = "accionesDivBoton">
                <div id = "boton" class = "boton" onClick = "guardar('dep_crear_usuario.php','','modal','cargando')">Crear usuarios</div>
            </div>
        </div>
    </div>
    <?
else:
    ?>
    <script type="text/javascript">
        alert('<?=$texto?>');
        ocultar('#','modal');
        guardar('dep_consul_empresa_pin1.php','crearUSUP','divDer2','cargando');
    </script>
    <?
endif;
?>

